//
//  Parameters.hh
//  medtech
//
//  Created by Baranyai David on 2018. 04. 03..
//

#ifndef Parameters_hh
#define Parameters_hh

#include <stdio.h>

class Parameters
{
private:
    /* Here will be the instance stored. */
    static Parameters* instance;
    
    /* Private constructor to prevent instancing. */
    Parameters();
    
    int ParticleEnergy;
    int hdegree;
    int vdegree;
    
    double box_size;
    
    double tube_size;
    double cone_size;
    double radius;
    
    double globe_size;
    double globe_placement;
    
public:
    /* Static access method. */
    static Parameters* getInstance();
    
    double GetParticleEnergy();
    double GetHDegree();
    double GetVDegree();
    
    double GetHShift();
    double GetVShift();
    
    void SetParticleEnergy(int);
    void SetHDegree(int);
    void SetVDegree(int);
    
    void SetBoxSize(double);
    double GetBoxSize();
    
    void SetRadius(double);
    double GetRadius();
    
    void SetConeSize(double);
    double GetConeSize();
    
    void SetTubeSize(double);
    double GetTubeSize();
    
    void SetGlobeSize(double);
    double GetGlobeSize();
    
    void SetGlonePlacement(double);
    double GetGlobePlacement();
};

#endif /* Parameters_hh */
